Pay x402 v2 payment requirements with a mandate
Pass an x402 v2 `PaymentRequired` object through unchanged; FluxA selects a supported option (Base mainnet USDC), charges the mandate, and returns a v2 PaymentPayload.
POST
/api/v2/payment/x402-payment
Request Body
application/json
x402 v2 payment request. Provide paymentRequest or paymentRequestB64.
Signed USDC mandate.
x402 v2 PaymentRequired object (x402Version: 2).
Base64 of the PaymentRequired object (e.g. the Payment-Required header).
Restrict selection to these options.
Responses
Signed v2 payment payload.
application/json
Signed v2 payment.
ok.
Base64 v2 PaymentPayload to send to the resource.
Decoded v2 PaymentPayload.
FluxA payment record ID.
Signature expiry (Unix seconds).
{
"status": "<string>",
"paymentPayloadB64": "<string>",
"paymentPayload": {
"x402Version": "<integer>",
"resource": {},
"accepted": {},
"payload": {
"signature": "<string>",
"authorization": {
"from": "<string>",
"to": "<string>",
"value": "<string>",
"validAfter": "<string>",
"validBefore": "<string>",
"nonce": "<string>"
}
}
},
"paymentRecordId": "<integer>",
"expiresAt": "<integer>"
}